using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Ed_ExamenU4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        BlEmpleados miEmpresa = new BlEmpleados();
        private void Form1_Load(object sender, EventArgs e)
        {
            miEmpresa.ListaActualizada += MiEmpresa_ListaActualizada;
            miEmpresa.Cargar();
        }

        private void MiEmpresa_ListaActualizada()
        {
            if (miEmpresa.Diccionario!=null)
            {
                lstEmpleado.DataSource = null;
                
            }
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            miEmpresa.Guardar();
        }

        private void btnAgregarHijo_Click(object sender, EventArgs e)
        {
            frmHijo fh = new frmHijo();

            fh.ShowDialog();
        }

       
    }
}
